package com.atguigu.auth.controller;

import com.atguigu.auth.service.SysUserService;
import com.atguigu.common.result.Result;
import com.atguigu.model.system.Login;
import com.atguigu.vo.system.LoginVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 后台登录登出
 * </p>
 */
@Tag(name = "后台登录管理")
@RestController
@RequestMapping("/admin/system/index")
public class IndexController {
    @Autowired
    private SysUserService sysUserService;

    @Operation(summary = "登录", description = "登录")
    @PostMapping("login")
    public Result<Login> login(@RequestBody LoginVo loginVo) {
        Login login = sysUserService.login(loginVo);
        return Result.success(login);
    }

    @Operation(summary = "获取用户信息", description = "获取用户信息")
    @GetMapping("info")
    public Result<Map<String, Object>> info() {
        Map<String, Object> map = new HashMap<>();
        map.put("roles", "[admin]");
        map.put("name", "admin");
        map.put("avatar", "https://oss.aliyuncs.com/aliyun_id_photo_bucket/default_handsome.jpg");
        return Result.success(map);
    }

    @Operation(summary = "退出", description = "退出")
    @PostMapping("logout")
    public Result<Map<String, Object>> logout() {
        return Result.success();
    }
}